Name:          doclava
Version:       1.0.6
Release:       1%{?dist}
Summary:       Generate documentation for Java projects
Group:         Development/Libraries
License:       ASL 2.0
URL:           http://code.google.com/p/doclava/
# svn export http://doclava.googlecode.com/svn/tags/doclava-1.0.6
# find doclava-1.0.6/ -name "*.class" -delete
# find doclava-1.0.6/ -name "*.jar" -delete
# tar czf doclava-1.0.6-src-svn.tar.gz doclava-1.0.6
Source0:       doclava-1.0.6-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

# main deps
BuildRequires: guava
BuildRequires: jsilver
# test deps
BuildRequires: junit

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      guava
Requires:      jsilver

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Doclava is a Javadoc Doclet that generates documentation for Java projects.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
# disabled. inject the main deps into doclava jar
%pom_remove_plugin org.sonatype.plugins:jarjar-maven-plugin

%pom_xpath_inject "pom:project/pom:dependencies" "
    <dependency>
      <groupId>com.google.guava</groupId>
      <artifactId>guava</artifactId>
      <version>11.0.2</version>
      <scope>provided</scope>
    </dependency>"

%build

mvn-rpmbuild -Pdefault-tools.jar install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp build/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE NOTICE README

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE NOTICE

%changelog
* Fri Sep 07 2012 gil cattaneo <puntogil@libero.it> 1.0.6-1
- initial rpm
